Cisco ASA upgrade from 5.2

Unanswered Question
Sep 26th, 2008

We just bought a company and need to upgrade the ASA5520 to a version 8.0.3 on the old ASA from version 5.2, is there an interim upgrade required or can we go directly to 8.0.3? I saw documents say you have to go from 5.1 to 5.2 and 7.1 to 7.2 first but nothing about 5.2 and going to a later ASA version.

I have this problem too.
0 votes
  • 1
  • 2
  • 3
  • 4
  • 5
Overall Rating: 0 (0 ratings)
JORGE RODRIGUEZ Sat, 09/27/2008 - 10:28

Hi Mitchell,

I believe there should be a little clarification in your inquiry. You are asking about upgrading asa5520 code to 8.03 from version 5.2 , I believe right here is where we need to clarify before we ca fruther asist you with your question, please refere to this link for all asa code releases.

First, Cisco's new asa platform code began from version 7.0.x, therefore there is no prior code on the asa platform pertaining to 5.2.x, However, if your firewall is actually a PIX platform and not an ASA5520 as your post indicate then there is reference on earlier version codes prior to 7.0.x which does include 5.2.x. Also keep in mind to not get confused as the asa also posseses the management software aside from the fw code called asdm which also has references on versions 5.0,5.2 etc.. please refere to these links for detail nformation.


Information on PIX code upgrade prior to 7.0.x and requirements

let us know what type firewall you do have, if in fact it is an asa5520 most likely the code running is 7.0.x , I would suggest to go over the release notes and read opened and closed caveats as well as look at codes with GD (general deployment) known as stable codes. You can upgrade from 7.2.x straight to 8.0.x this is from personal experience.

If you have a pix I would recommend to bring the code to the latest 6.3 train which is 6.3.5 code if PIX is running 5.2.x version, again look at release notes for details. For upgrading PIX 6.3.5 to 7.x or above after complying with requirements upgrade to 7.0.x GD codes firts before looking into 8.0.x codes.




This Discussion